# # #
# /29/array2proc.rb
# (c) 2010 Jan Lelis <mail@janlelis.de>. MIT License.
# See: https://rbjl.janlelis.com/29-become-a-proc-star
# # #

# Uses the array as arguments for the object's send method

class Array
  def to_proc
    Proc.new{ |obj|
      obj.send *self
    }
  end
end

# usage
#  [1,2,3,4,5].map &[:to_s, 2]  # => ["1", "10", "11", "100", "101"]
